gitit-0.10.3.1: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | None

Network.Gitit.Layout

Synopsis

- defaultPageLayout :: PageLayout
- defaultRenderPage :: StringTemplate String -> PageLayout -> Html -> Handler
- formattedPage :: PageLayout -> Html -> Handler
- filledPageTemplate :: String -> Config -> PageLayout -> Html -> StringTemplate String -> StringTemplate String
- uploadsAllowed :: Config -> Bool

# Documentation

defaultPageLayout :: PageLayout

defaultRenderPage :: StringTemplate String -> PageLayout -> Html -> Handler

Given a compiled string template, returns a page renderer.

formattedPage :: PageLayout -> Html -> Handler

Returns formatted page

filledPageTemplate :: String -> Config -> PageLayout -> Html -> StringTemplate String -> StringTemplate String

Returns a page template with gitit variables filled in.

uploadsAllowed :: Config -> Bool